# Class CIM_SoftwareFeatureSAPImplementation
extends CIM_Dependency

An association between a ServiceAccessPoint and how it is implemented in software. The cardinality of this association is many-to-many. A SAP may be provided by more than one SoftwareFeature. When multiple SoftwareFeatures are associated with a single SAP, it is assumed that these elements operate in conjunction to provide the AccessPoint. Note that any SoftwareFeature may provide more than one ServiceAccessPoint. If different implementations of a SAP exist, each of these implementations would result in individual instantiations of the ServiceAccessPoint object. These individual instantiations would then have their own associations to the unique implementations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SoftwareFeatureSAPImplementation

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

An association between a ServiceAccessPoint and how it is implemented in software. The cardinality of this association is many-to-many. A SAP may be provided by more than one SoftwareFeature. When multiple SoftwareFeatures are associated with a single SAP, it is assumed that these elements operate in conjunction to provide the AccessPoint. Note that any SoftwareFeature may provide more than one ServiceAccessPoint. If different implementations of a SAP exist, each of these implementations would result in individual instantiations of the ServiceAccessPoint object. These individual instantiations would then have their own associations to the unique implementations.

UMLPackagePath | string | CIM::Application::DeploymentModel
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SoftwareFeatureSAPImplementation | CIM_SoftwareFeature
Dependent | CIM_SoftwareFeatureSAPImplementation | CIM_ServiceAccessPoint

## Class Methods